io.vertx.rxjava.mqtt.messages

## Class MqttSubscribeMessage

- java.lang.Object
- - io.vertx.rxjava.mqtt.messages.MqttSubscribeMessage

- All Implemented Interfaces:
    MqttMessage

      public class MqttSubscribeMessage
      extends Object
      implements MqttMessage

  Represents an MQTT SUBSCRIBE message

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static TypeArg<MqttSubscribeMessage>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MqttSubscribeMessage(MqttSubscribeMessage delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `MqttSubscribeMessage` | `getDelegate()`
    `int` | `messageId()`
    `static MqttSubscribeMessage` | `newInstance(MqttSubscribeMessage arg)`
    `List<MqttTopicSubscription>` | `topicSubscriptions()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface io.vertx.rxjava.mqtt.messages.MqttMessage

      `newInstance`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final TypeArg<MqttSubscribeMessage> __TYPE_ARG

  - ### Constructor Detail

    - #### MqttSubscribeMessage

          public MqttSubscribeMessage(MqttSubscribeMessage delegate)

  - ### Method Detail

    - #### getDelegate

          public MqttSubscribeMessage getDelegate()

      Specified by:
        `getDelegate` in interface `MqttMessage`

    - #### messageId

          public int messageId()

      Specified by:
        `messageId` in interface `MqttMessage`
      Returns:
        Message identifier

    - #### topicSubscriptions

          public List<MqttTopicSubscription> topicSubscriptions()

      Returns:
        List with topics and related quolity of service levels

    - #### newInstance

          public static MqttSubscribeMessage newInstance(MqttSubscribeMessage arg)

Copyright © 2017. All rights reserved.